Bug 357276 - kmail and kontact crashes on startup every time
Summary: kmail and kontact crashes on startup every time
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: misc (show other bugs)
Version: 5.1
Platform: Archlinux Linux
: NOR grave (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2015-12-28 18:36 UTC by somnium
Modified: 2018-10-28 03:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description somnium 2015-12-28 18:36:52 UTC
I have the newest versions of kde applications and frameworks in Arch Linux: Plasma 5.5.2, KDE Frameworks 5.17.0 and KDE Applications 5.12.0. Kmail and Kontact were crashing at first when i tried to change the Settings or tried to write a new mail. After that kmail and kontact are now crashing on startup every time. I suppose it has something to do with the spell checker and the none standard language, here german. 


Reproducible: Always

Steps to Reproduce:
1. Start kmail or kontact

Actual Results:  
kmail crashes with segfault

Expected Results:  
kmail starts, new mails and settings work

Here is the backtrace:

*** Error in `kmail': free(): invalid pointer: 0x00007f5344b32218 ***
======= Backtrace: =========
/usr/lib/libc.so.6(+0x72055)[0x7f5344263055]
/usr/lib/libc.so.6(+0x779a6)[0x7f53442689a6]
/usr/lib/libc.so.6(+0x7818e)[0x7f534426918e]
/usr/lib/libKF5Libkleo.so.5(+0x968bd)[0x7f534113f8bd]
/usr/lib/libKF5Libkleo.so.5(+0x9747a)[0x7f534114047a]
/usr/lib/libKF5Libkleo.so.5(_ZN4Kleo20CryptoBackendFactory15scanForBackendsEP11QStringList+0xf5)[0x7f53410ff585]
/usr/lib/libKF5Libkleo.so.5(_ZN4Kleo20CryptoBackendFactoryC1Ev+0x18e)[0x7f53410fffce]
/usr/lib/libKF5Libkleo.so.5(_ZN4Kleo20CryptoBackendFactory8instanceEv+0x35)[0x7f53411000d5]
/usr/lib/libkmailprivate.so.5(+0x1ca2a8)[0x7f53466a32a8]
/usr/lib/libkmailprivate.so.5(+0x1d2818)[0x7f53466ab818]
/usr/lib/libkmailprivate.so.5(+0x1e26c2)[0x7f53466bb6c2]
/usr/lib/libkmailprivate.so.5(+0x1e3551)[0x7f53466bc551]
/usr/lib/libkmailprivate.so.5(_ZN8KMKernel18recoverDeadLettersEv+0x4cc)[0x7f534659ea2c]                                                                                              
kmail(main+0x107e)[0x4040de]                                                                                                                                                         
/usr/lib/libc.so.6(__libc_start_main+0xf0)[0x7f5344211610]                                                                                                                           
kmail(_start+0x29)[0x404809]                                                                                                                                                         
======= Memory map: ========                                                                                                                                                         
00400000-00407000 r-xp 00000000 fe:00 23629621                           /usr/bin/kmail                                                                                              
00606000-00607000 r--p 00006000 fe:00 23629621                           /usr/bin/kmail                                                                                              
00607000-00608000 rw-p 00007000 fe:00 23629621                           /usr/bin/kmail                                                                                              
00fe7000-01d96000 rw-p 00000000 00:00 0                                  [heap]                                                                                                      
7f52f8000000-7f52f8021000 rw-p 00000000 00:00 0                                                                                                                                      
7f52f8021000-7f52fc000000 ---p 00000000 00:00 0                                                                                                                                      
7f52fd721000-7f52fd723000 r--p 00000000 fe:00 23618702                   /usr/share/locale/de/LC_MESSAGES/kconfigwidgets5.mo                                                         
7f52fd729000-7f52fd72e000 r-xp 00000000 fe:00 25963103                   /usr/lib/qt/plugins/pimcommon/pimcommon_tinyurlengineplugin.so                                              
7f52fd72e000-7f52fd92d000 ---p 00005000 fe:00 25963103                   /usr/lib/qt/plugins/pimcommon/pimcommon_tinyurlengineplugin.so                                              
7f52fd92d000-7f52fd92e000 r--p 00004000 fe:00 25963103                   /usr/lib/qt/plugins/pimcommon/pimcommon_tinyurlengineplugin.so                                              
7f52fd92e000-7f52fd92f000 rw-p 00005000 fe:00 25963103                   /usr/lib/qt/plugins/pimcommon/pimcommon_tinyurlengineplugin.so                                              
7f52fd931000-7f52fd937000 r-xp 00000000 fe:00 25963104                   /usr/lib/qt/plugins/pimcommon/pimcommon_isgdshorturlengineplugin.so
7f52fd937000-7f52fdb36000 ---p 00006000 fe:00 25963104                   /usr/lib/qt/plugins/pimcommon/pimcommon_isgdshorturlengineplugin.so
7f52fdb36000-7f52fdb37000 r--p 00005000 fe:00 25963104                   /usr/lib/qt/plugins/pimcommon/pimcommon_isgdshorturlengineplugin.so
7f52fdb37000-7f52fdb38000 rw-p 00006000 fe:00 25963104                   /usr/lib/qt/plugins/pimcommon/pimcommon_isgdshorturlengineplugin.so
7f52fdb39000-7f52fdb3f000 r-xp 00000000 fe:00 25963106                   /usr/lib/qt/plugins/pimcommon/pimcommon_ur1cashorturlengineplugin.so
7f52fdb3f000-7f52fdd3e000 ---p 00006000 fe:00 25963106                   /usr/lib/qt/plugins/pimcommon/pimcommon_ur1cashorturlengineplugin.so
7f52fdd3e000-7f52fdd3f000 r--p 00005000 fe:00 25963106                   /usr/lib/qt/plugins/pimcommon/pimcommon_ur1cashorturlengineplugin.so
7f52fdd3f000-7f52fdd40000 rw-p 00006000 fe:00 25963106                   /usr/lib/qt/plugins/pimcommon/pimcommon_ur1cashorturlengineplugin.so
7f52fdd41000-7f52fdd45000 r-xp 00000000 fe:00 25963105                   /usr/lib/qt/plugins/pimcommon/pimcommon_triopabshorturlengineplugin.so
7f52fdd45000-7f52fdf45000 ---p 00004000 fe:00 25963105                   /usr/lib/qt/plugins/pimcommon/pimcommon_triopabshorturlengineplugin.so
7f52fdf45000-7f52fdf46000 r--p 00004000 fe:00 25963105                   /usr/lib/qt/plugins/pimcommon/pimcommon_triopabshorturlengineplugin.so
7f52fdf46000-7f52fdf47000 rw-p 00005000 fe:00 25963105                   /usr/lib/qt/plugins/pimcommon/pimcommon_triopabshorturlengineplugin.so
7f52fdf49000-7f52fdf50000 r--p 00000000 fe:00 23634097                   /usr/share/locale/de/LC_MESSAGES/libpimcommon.mo
7f52fdf51000-7f52fdf64000 r-xp 00000000 fe:00 25963102                   /usr/lib/qt/plugins/pimcommon/pimcommon_shorturlplugin.so
7f52fdf64000-7f52fe164000 ---p 00013000 fe:00 25963102                   /usr/lib/qt/plugins/pimcommon/pimcommon_shorturlplugin.so
7f52fe164000-7f52fe165000 r--p 00013000 fe:00 25963102                   /usr/lib/qt/plugins/pimcommon/pimcommon_shorturlplugin.so
7f52fe165000-7f52fe166000 rw-p 00014000 fe:00 25963102                   /usr/lib/qt/plugins/pimcommon/pimcommon_shorturlplugin.so
7f52fe169000-7f52fe16f000 r-xp 00000000 fe:00 25963107                   /usr/lib/qt/plugins/pimcommon/pimcommon_translatorplugin.so
7f52fe16f000-7f52fe36f000 ---p 00006000 fe:00 25963107                   /usr/lib/qt/plugins/pimcommon/pimcommon_translatorplugin.so
7f52fe36f000-7f52fe370000 r--p 00006000 fe:00 25963107                   /usr/lib/qt/plugins/pimcommon/pimcommon_translatorplugin.so
7f52fe370000-7f52fe371000 rw-p 00007000 fe:00 25963107                   /usr/lib/qt/plugins/pimcommon/pimcommon_translatorplugin.so
7f52fe371000-7f52fe374000 r--p 00000000 fe:00 23634200                   /usr/share/locale/de/LC_MESSAGES/libkpimtextedit.mo
7f52fe379000-7f52fe37d000 r-xp 00000000 fe:00 26219419                   /usr/lib/qt/plugins/imageformats/libqwebp.so
7f52fe37d000-7f52fe37e000 ---p 00004000 fe:00 26219419                   /usr/lib/qt/plugins/imageformats/libqwebp.so
7f52fe37e000-7f52fe37f000 r--p 00004000 fe:00 26219419                   /usr/lib/qt/plugins/imageformats/libqwebp.so
7f52fe37f000-7f52fe380000 rw-p 00005000 fe:00 26219419                   /usr/lib/qt/plugins/imageformats/libqwebp.so
7f52fe381000-7f52fe386000 r-xp 00000000 fe:00 26219421                   /usr/lib/qt/plugins/imageformats/libqwbmp.so
7f52fe386000-7f52fe387000 r--p 00004000 fe:00 26219421                   /usr/lib/qt/plugins/imageformats/libqwbmp.so
7f52fe387000-7f52fe388000 rw-p 00005000 fe:00 26219421                   /usr/lib/qt/plugins/imageformats/libqwbmp.so
7f52fe389000-7f52fe405000 r-xp 00000000 fe:00 23611639                   /usr/lib/libtiff.so.5.2.4
7f52fe405000-7f52fe605000 ---p 0007c000 fe:00 23611639                   /usr/lib/libtiff.so.5.2.4
7f52fe605000-7f52fe606000 r--p 0007c000 fe:00 23611639                   /usr/lib/libtiff.so.5.2.4
7f52fe606000-7f52fe60c000 rw-p 0007d000 fe:00 23611639                   /usr/lib/libtiff.so.5.2.4
7f52fe60c000-7f52fe60d000 rw-p 00000000 00:00 0 
7f52fe611000-7f52fe618000 r-xp 00000000 fe:00 26219420                   /usr/lib/qt/plugins/imageformats/libqtiff.so
7f52fe618000-7f52fe619000 ---p 00007000 fe:00 26219420                   /usr/lib/qt/plugins/imageformats/libqtiff.so
7f52fe619000-7f52fe61a000 r--p 00007000 fe:00 26219420                   /usr/lib/qt/plugins/imageformats/libqtiff.so
7f52fe61a000-7f52fe61b000 rw-p 00008000 fe:00 26219420                   /usr/lib/qt/plugins/imageformats/libqtiff.so
7f52fe621000-7f52fe626000 r-xp 00000000 fe:00 26219307                   /usr/lib/qt/plugins/imageformats/libqsvg.so
7f52fe626000-7f52fe627000 r--p 00004000 fe:00 26219307                   /usr/lib/qt/plugins/imageformats/libqsvg.so
7f52fe627000-7f52fe628000 rw-p 00005000 fe:00 26219307                   /usr/lib/qt/plugins/imageformats/libqsvg.so
7f52fe629000-7f52fe67f000 r-xp 00000000 fe:00 23623239                   /usr/lib/liblcms2.so.2.0.7
7f52fe67f000-7f52fe87e000 ---p 00056000 fe:00 23623239                   /usr/lib/liblcms2.so.2.0.7
7f52fe87e000-7f52fe87f000 r--p 00055000 fe:00 23623239                   /usr/lib/liblcms2.so.2.0.7
7f52fe87f000-7f52fe884000 rw-p 00056000 fe:00 23623239                   /usr/lib/liblcms2.so.2.0.7
7f52fe889000-7f52fe8f6000 r-xp 00000000 fe:00 23631434                   /usr/lib/libmng.so.2.0.2
7f52fe8f6000-7f52feaf6000 ---p 0006d000 fe:00 23631434                   /usr/lib/libmng.so.2.0.2
7f52feaf6000-7f52feaf9000 r--p 0006d000 fe:00 23631434                   /usr/lib/libmng.so.2.0.2
7f52feaf9000-7f52feafb000 rw-p 00070000 fe:00 23631434                   /usr/lib/libmng.so.2.0.2
7f52feb01000-7f52feb07000 r-xp 00000000 fe:00 26219309                   /usr/lib/qt/plugins/imageformats/libqmng.so
7f52feb07000-7f52feb08000 r--p 00005000 fe:00 26219309                   /usr/lib/qt/plugins/imageformats/libqmng.so
7f52feb08000-7f52feb09000 rw-p 00006000 fe:00 26219309                   /usr/lib/qt/plugins/imageformats/libqmng.so
7f52feb09000-7f52feb13000 r-xp 00000000 fe:00 26218217                   /usr/lib/qt/plugins/imageformats/libqjpeg.so
7f52feb13000-7f52feb14000 r--p 00009000 fe:00 26218217                   /usr/lib/qt/plugins/imageformats/libqjpeg.so
7f52feb14000-7f52feb15000 rw-p 0000a000 fe:00 26218217                   /usr/lib/qt/plugins/imageformats/libqjpeg.so
7f52feb19000-7f52feb68000 r-xp 00000000 fe:00 23619621                   /usr/lib/libjasper.so.1.0.0
7f52feb68000-7f52fed67000 ---p 0004f000 fe:00 23619621                   /usr/lib/libjasper.so.1.0.0
7f52fed67000-7f52fed68000 r--p 0004e000 fe:00 23619621                   /usr/lib/libjasper.so.1.0.0
7f52fed68000-7f52fed6c000 rw-p 0004f000 fe:00 23619621                   /usr/lib/libjasper.so.1.0.0
7f52fed6c000-7f52fed73000 rw-p 00000000 00:00 0 
7f52fed79000-7f52fed81000 r-xp 00000000 fe:00 26219418                   /usr/lib/qt/plugins/imageformats/libqjp2.so
7f52fed81000-7f52fed82000 r--p 00007000 fe:00 26219418                   /usr/lib/qt/plugins/imageformats/libqjp2.so
7f52fed82000-7f52fed83000 rw-p 00008000 fe:00 26219418                   /usr/lib/qt/plugins/imageformats/libqjp2.so
7f52fed89000-7f52fed99000 r-xp 00000000 fe:00 26219430                   /usr/lib/qt/plugins/imageformats/kimg_xcf.so
7f52fed99000-7f52fef99000 ---p 00010000 fe:00 26219430                   /usr/lib/qt/plugins/imageformats/kimg_xcf.so
7f52fef99000-7f52fef9a000 r--p 00010000 fe:00 26219430                   /usr/lib/qt/plugins/imageformats/kimg_xcf.so
7f52fef9a000-7f52fef9b000 rw-p 00011000 fe:00 26219430                   /usr/lib/qt/plugins/imageformats/kimg_xcf.so
7f52fef9b000-7f52fef9f000 rw-p 00000000 00:00 0 
7f52fefa1000-7f52fefa6000 r-xp 00000000 fe:00 26219429                   /usr/lib/qt/plugins/imageformats/kimg_tga.so
7f52fefa6000-7f52ff1a5000 ---p 00005000 fe:00 26219429                   /usr/lib/qt/plugins/imageformats/kimg_tga.so
7f52ff1a5000-7f52ff1a6000 r--p 00004000 fe:00 26219429                   /usr/lib/qt/plugins/imageformats/kimg_tga.so
7f52ff1a6000-7f52ff1a7000 rw-p 00005000 fe:00 26219429                   /usr/lib/qt/plugins/imageformats/kimg_tga.so
7f52ff1a9000-7f52ff1b2000 r-xp 00000000 fe:00 26219428                   /usr/lib/qt/plugins/imageformats/kimg_rgb.so
7f52ff1b2000-7f52ff3b1000 ---p 00009000 fe:00 26219428                   /usr/lib/qt/plugins/imageformats/kimg_rgb.so
7f52ff3b1000-7f52ff3b2000 r--p 00008000 fe:00 26219428                   /usr/lib/qt/plugins/imageformats/kimg_rgb.so
7f52ff3b2000-7f52ff3b3000 rw-p 00009000 fe:00 26219428                   /usr/lib/qt/plugins/imageformats/kimg_rgb.so
7f52ff3b9000-7f52ff3be000 r-xp 00000000 fe:00 26219427                   /usr/lib/qt/plugins/imageformats/kimg_ras.so
7f52ff3be000-7f52ff5bd000 ---p 00005000 fe:00 26219427                   /usr/lib/qt/plugins/imageformats/kimg_ras.so
7f52ff5bd000-7f52ff5be000 r--p 00004000 fe:00 26219427                   /usr/lib/qt/plugins/imageformats/kimg_ras.so
7f52ff5be000-7f52ff5bf000 rw-p 00005000 fe:00 26219427                   /usr/lib/qt/plugins/imageformats/kimg_ras.so
7f52ff5c1000-7f52ff5c5000 r-xp 00000000 fe:00 26219426                   /usr/lib/qt/plugins/imageformats/kimg_psd.so
7f52ff5c5000-7f52ff7c4000 ---p 00004000 fe:00 26219426                   /usr/lib/qt/plugins/imageformats/kimg_psd.so
7f52ff7c4000-7f52ff7c5000 r--p 00003000 fe:00 26219426                   /usr/lib/qt/plugins/imageformats/kimg_psd.so
7f52ff7c5000-7f52ff7c6000 rw-p 00004000 fe:00 26219426                   /usr/lib/qt/plugins/imageformats/kimg_psd.so
7f52ff7c9000-7f52ff7d1000 r-xp 00000000 fe:00 26219425                   /usr/lib/qt/plugins/imageformats/kimg_pic.so
7f52ff7d1000-7f52ff9d0000 ---p 00008000 fe:00 26219425                   /usr/lib/qt/plugins/imageformats/kimg_pic.so
7f52ff9d0000-7f52ff9d1000 r--p 00007000 fe:00 26219425                   /usr/lib/qt/plugins/imageformats/kimg_pic.so
7f52ff9d1000-7f52ff9d2000 rw-p 00008000 fe:00 26219425                   /usr/lib/qt/plugins/imageformats/kimg_pic.so
7f52ff9d9000-7f52ff9df000 r-xp 00000000 fe:00 26219424                   /usr/lib/qt/plugins/imageformats/kimg_pcx.so
7f52ff9df000-7f52ffbde000 ---p 00006000 fe:00 26219424                   /usr/lib/qt/plugins/imageformats/kimg_pcx.so
7f52ffbde000-7f52ffbdf000 r--p 00005000 fe:00 26219424                   /usr/lib/qt/plugins/imageformats/kimg_pcx.so
7f52ffbdf000-7f52ffbe0000 rw-p 00006000 fe:00 26219424                   /usr/lib/qt/plugins/imageformats/kimg_pcx.so
7f52ffbe1000-7f52ffbe7000 r-xp 00000000 fe:00 23622268                   /usr/lib/libIlmThread-2_2.so.12.0.0
7f52ffbe7000-7f52ffde6000 ---p 00006000 fe:00 23622268                   /usr/lib/libIlmThread-2_2.so.12.0.0
7f52ffde6000-7f52ffde7000 r--p 00005000 fe:00 23622268                   /usr/lib/libIlmThread-2_2.so.12.0.0
7f52ffde7000-7f52ffde8000 rw-p 00006000 fe:00 23622268                   /usr/lib/libIlmThread-2_2.so.12.0.0
7f52ffde9000-7f52ffdfa000 r-xp 00000000 fe:00 23622267                   /usr/lib/libImath-2_2.so.12.0.0
7f52ffdfa000-7f52ffff9000 ---p 00011000 fe:00 23622267                   /usr/lib/libImath-2_2.so.12.0.0
7f52ffff9000-7f52ffffa000 r--p 00010000 fe:00 23622267                   /usr/lib/libImath-2_2.so.12.0.0
7f52ffffa000-7f52ffffb000 rw-p 00011000 fe:00 23622267                   /usr/lib/libImath-2_2.so.12.0.0
7f5300000000-7f5300021000 rw-p 00000000 00:00 0 
7f5300021000-7f5304000000 ---p 00000000 00:00 0 
7f5304000000-7f5304021000 rw-p 00000000 00:00 0 
7f5304021000-7f5308000000 ---p 00000000 00:00 0 
7f5308000000-7f5308021000 rw-p 00000000 00:00 0 
7f5308021000-7f530c000000 ---p 00000000 00:00 0 
7f530c000000-7f530c021000 rw-p 00000000 00:00 0 
7f530c021000-7f5310000000 ---p 00000000 00:00 0 
7f5310000000-7f5310021000 rw-p 00000000 00:00 0 
7f5310021000-7f5314000000 ---p 00000000 00:00 0 
7f5314000000-7f5314023000 rw-p 00000000 00:00 0 
7f5314023000-7f5318000000 ---p 00000000 00:00 0 
7f5318001000-7f5318007000 r-xp 00000000 fe:00 26218219                   /usr/lib/qt/plugins/imageformats/libqico.so
7f5318007000-7f5318008000 ---p 00006000 fe:00 26218219                   /usr/lib/qt/plugins/imageformats/libqico.so
7f5318008000-7f5318009000 r--p 00006000 fe:00 26218219                   /usr/lib/qt/plugins/imageformats/libqico.so
7f5318009000-7f531800a000 rw-p 00007000 fe:00 26218219                   /usr/lib/qt/plugins/imageformats/libqico.so
7f5318011000-7f531801a000 r-xp 00000000 fe:00 26219416                   /usr/lib/qt/plugins/imageformats/libqicns.so
7f531801a000-7f531801b000 r--p 00008000 fe:00 26219416                   /usr/lib/qt/plugins/imageformats/libqicns.so
7f531801b000-7f531801c000 rw-p 00009000 fe:00 26219416                   /usr/lib/qt/plugins/imageformats/libqicns.so
7f5318021000-7f5318027000 r-xp 00000000 fe:00 26218218                   /usr/lib/qt/plugins/imageformats/libqgif.so
7f5318027000-7f5318028000 r--p 00005000 fe:00 26218218                   /usr/lib/qt/plugins/imageformats/libqgif.so
7f5318028000-7f5318029000 rw-p 00006000 fe:00 26218218                   /usr/lib/qt/plugins/imageformats/libqgif.so
7f5318029000-7f5318034000 r-xp 00000000 fe:00 26219400                   /usr/lib/qt/plugins/imageformats/libqdds.so
7f5318034000-7f5318035000 r--p 0000a000 fe:00 26219400                   /usr/lib/qt/plugins/imageformats/libqdds.so
7f5318035000-7f5318036000 rw-p 0000b000 fe:00 26219400                   /usr/lib/qt/plugins/imageformats/libqdds.so
7f5318039000-7f5318055000 r-xp 00000000 fe:00 23622264                   /usr/lib/libIex-2_2.so.12.0.0
7f5318055000-7f5318255000 ---p 0001c000 fe:00 23622264                   /usr/lib/libIex-2_2.so.12.0.0
7f5318255000-7f5318258000 r--p 0001c000 fe:00 23622264                   /usr/lib/libIex-2_2.so.12.0.0
7f5318258000-7f5318259000 rw-p 0001f000 fe:00 23622264                   /usr/lib/libIex-2_2.so.12.0.0
7f5318259000-7f531829b000 r-xp 00000000 fe:00 23622263                   /usr/lib/libHalf.so.12.0.0
7f531829b000-7f531849a000 ---p 00042000 fe:00 23622263                   /usr/lib/libHalf.so.12.0.0
7f531849a000-7f531849b000 r--p 00041000 fe:00 23622263                   /usr/lib/libHalf.so.12.0.0
7f531849b000-7f531849c000 rw-p 00042000 fe:00 23622263                   /usr/lib/libHalf.so.12.0.0
7f53184a1000-7f5318674000 r-xp 00000000 fe:00 23622279                   /usr/lib/libIlmImf-2_2.so.22.0.0
7f5318674000-7f5318873000 ---p 001d3000 fe:00 23622279                   /usr/lib/libIlmImf-2_2.so.22.0.0
7f5318873000-7f5318876000 r--p 001d2000 fe:00 23622279                   /usr/lib/libIlmImf-2_2.so.22.0.0
7f5318876000-7f5318979000 rw-p 001d5000 fe:00 23622279                   /usr/lib/libIlmImf-2_2.so.22.0.0
7f5318979000-7f531897a000 rw-p 00000000 00:00 0 
7f5318981000-7f5318986000 r-xp 00000000 fe:00 26219423                   /usr/lib/qt/plugins/imageformats/kimg_exr.so
7f5318986000-7f5318b85000 ---p 00005000 fe:00 26219423                   /usr/lib/qt/plugins/imageformats/kimg_exr.so
7f5318b85000-7f5318b86000 r--p 00004000 fe:00 26219423                   /usr/lib/qt/plugins/imageformats/kimg_exr.so
7f5318b86000-7f5318b87000 rw-p 00005000 fe:00 26219423                   /usr/lib/qt/plugins/imageformats/kimg_exr.so
7f5318b89000-7f5318b93000 r-xp 00000000 fe:00 26219422                   /usr/lib/qt/plugins/imageformats/kimg_eps.so
7f5318b93000-7f5318d92000 ---p 0000a000 fe:00 26219422                   /usr/lib/qt/plugins/imageformats/kimg_eps.so
7f5318d92000-7f5318d93000 r--p 00009000 fe:00 26219422                   /usr/lib/qt/plugins/imageformats/kimg_eps.so
7f5318d93000-7f5318d94000 rw-p 0000a000 fe:00 26219422                   /usr/lib/qt/plugins/imageformats/kimg_eps.so
7f5318d99000-7f5318d9b000 r--p 00000000 fe:00 23612696                   /usr/share/locale/de/LC_MESSAGES/ki18n5.mo
7f5318da1000-7f5318da4000 r--p 00000000 fe:00 23634087                   /usr/share/locale/de/LC_MESSAGES/libkdepim.mo
7f5318da8000-7f5318da9000 ---p 00000000 00:00 0 
7f5318da9000-7f53195a9000 rw-p 00000000 00:00 0                          [stack:1675]
7f53195a9000-7f53195f4000 r--p 00000000 fe:00 26487315                   /usr/share/fonts/ttf-noto-fonts-sans-ib/NotoSans-Regular.ttf
7f53195f9000-7f5319601000 r--s 00000000 fe:00 20974427                   /var/cache/fontconfig/fa63d93503346624da95f2ba3581fe8e-le64.cache-7
7f5319601000-7f5319616000 r--s 00000000 fe:00 20974426                   /var/cache/fontconfig/4778899e8011932465c82dbfad7fea79-le64.cache-7
7f5319619000-7f5319621000 r--s 00000000 fe:00 20974425                   /var/cache/fontconfig/2c3f1a2690780500fe2787a5279b4826-le64.cache-7
7f5319621000-7f531962b000 r--s 00000000 fe:00 20974424                   /var/cache/fontconfig/4ab29fda16375bd0c49f371722590ab6-le64.cache-7
7f5319631000-7f531963b000 r--s 00000000 fe:00 20974359                   /var/cache/fontconfig/59f3135da35fdb095a962024de52a96d-le64.cache-7
7f5319641000-7f531964b000 r--s 00000000 fe:00 20972070                   /var/cache/fontconfig/1c84447728e7b214fca23a984d8e4457-le64.cache-7
7f5319651000-7f531965b000 r--s 00000000 fe:00 20972069                   /var/cache/fontconfig/ccbf44107e263895f467e95bd4a7c960-le64.cache-7
7f5319661000-7f5319666000 r--s 00000000 fe:00 20974964                   /var/cache/fontconfig/6d78b720ace5d3bb3fea22ee600d50bf-le64.cache-7
7f5319669000-7f531966a000 r--s 00000000 fe:00 20974729                   /var/cache/fontconfig/79e53368b3ef71e0079bb9500e71ab9c-le64.cache-7
7f5319671000-7f5319673000 r--s 00000000 fe:00 20974342                   /var/cache/fontconfig/ca02c4f3884a93723091ae8b829e791b-le64.cache-7
7f5319679000-7f531967e000 r--s 00000000 fe:00 20974756                   /var/cache/fontconfig/35045e7431f4b007379fc5bbc2da2f51-le64.cache-7
7f5319681000-7f5319687000 r--s 00000000 fe:00 20976599                   /var/cache/fontconfig/558cfb7b00557d1eaf02482719df5bbf-le64.cache-7
7f5319689000-7f53196a7000 r--s 00000000 fe:00 20976598                   /var/cache/fontconfig/2aeaefbbe8fee9acf2c287bc92ac119e-le64.cache-7
7f53196a9000-7f53196c2000 r--s 00000000 fe:00 20972081                   /var/cache/fontconfig/fc626661baf0c3f54830cbcd31985c7f-le64.cache-7
7f53196c9000-7f53196ce000 r--s 00000000 fe:00 20976596                   /var/cache/fontconfig/b987be13d9555b03a6cd440467233128-le64.cache-7
7f53196d1000-7f53196e3000 r--s 00000000 fe:00 20974428                   /var/cache/fontconfig/7b127e0d981413809844055c4c62cffc-le64.cache-7
7f53196e9000-7f53196ed000 r--s 00000000 fe:00 20974308                   /var/cache/fontconfig/6e8f39ac1a8a1161272525c24e746da3-le64.cache-7
7f53196f1000-7f53196f5000 r--s 00000000 fe:00 20974759                   /var/cache/fontconfig/3dd4c0364fe810efefddd73f06a7f46c-le64.cache-7
7f53196f9000-7f53196fa000 r--s 00000000 fe:00 20974306                   /var/cache/fontconfig/e8b2b1316c31008de3d0667ad719360e-le64.cache-7
7f5319701000-7f5319708000 r--s 00000000 fe:00 20974305                   /var/cache/fontconfig/05c6939ffcab4ece42a69ecb7571bcfc-le64.cache-7
7f5319709000-7f531970b000 r--s 00000000 fe:00 20974304                   /var/cache/fontconfig/9bcaad8275e5d043434024ef82709c69-le64.cache-7
7f5319711000-7f5319713000 r--s 00000000 fe:00 20974302                   /var/cache/fontconfig/2de6cb31d75edc759236a41a3c8231b1-le64.cache-7
7f5319719000-7f531971d000 r--s 00000000 fe:00 20974294                   /var/cache/fontconfig/15307eb168539589f690be8d29ed1550-le64.cache-7
7f5319721000-7f5319722000 r--s 00000000 fe:00 20974292                   /var/cache/fontconfig/43fe8d6286d5605269a4e8db9003c597-le64.cache-7
7f5319729000-7f531972b000 r--s 00000000 fe:00 20974291                   /var/cache/fontconfig/6af156d354e8d484750865c37e3b0189-le64.cache-7
7f5319731000-7f5319733000 r--s 00000000 fe:00 20974290                   /var/cache/fontconfig/8ae0d52750c169de310d0af968c83a14-le64.cache-7
7f5319739000-7f531973a000 r--s 00000000 fe:00 20974288                   /var/cache/fontconfig/9df580fb097f8e78bdfdefd58e1e6003-le64.cache-7
7f5319741000-7f5319743000 r--s 00000000 fe:00 20974287                   /var/cache/fontconfig/02843071b06d86c09fd5a46861a747d6-le64.cache-7
7f5319749000-7f531974a000 r--s 00000000 fe:00 20974960                   /var/cache/fontconfig/c38c1505cb187bdf67a89e7c617bd56c-le64.cache-7
7f5319751000-7f531975e000 r--s 00000000 fe:00 20974283                   /var/cache/fontconfig/2d9b79d436f82d409d75f527e8ee5d62-le64.cache-7
7f5319761000-7f5319767000 r--s 00000000 fe:00 20974271                   /var/cache/fontconfig/6c4261f249cbe49ab3ac7f043a418f3e-le64.cache-7
7f5319769000-7f5319781000 r--s 00000000 fe:00 20974269                   /var/cache/fontconfig/8d4af663993b81a124ee82e610bb31f9-le64.cache-7
7f5319781000-7f53197d3000 r-xp 00000000 fe:00 23622232                   /usr/lib/libhunspell-1.3.so.0.0.0
7f53197d3000-7f53199d3000 ---p 00052000 fe:00 23622232                   /usr/lib/libhunspell-1.3.so.0.0.0
7f53199d3000-7f53199d4000 r--p 00052000 fe:00 23622232                   /usr/lib/libhunspell-1.3.so.0.0.0
7f53199d4000-7f53199d9000 rw-p 00053000 fe:00 23622232                   /usr/lib/libhunspell-1.3.so.0.0.0
7f53199d9000-7f53199de000 r-xp 00000000 fe:00 26739145                   /usr/lib/qt/plugins/kf5/sonnet/hunspell.so
7f53199de000-7f5319bde000 ---p 00005000 fe:00 26739145                   /usr/lib/qt/plugins/kf5/sonnet/hunspell.so
7f5319bde000-7f5319bdf000 r--p 00005000 fe:00 26739145                   /usr/lib/qt/plugins/kf5/sonnet/hunspell.so*** KMail got signal 6 (Exiting)
*** Dead letters dumped.
KCrash: Application 'kmail' crashing...
KCrash: Attempting to start /usr/lib/drkonqi from kdeinit
sock_file=/run/user/1004/kdeinit5__0

[1]+  Angehalten              kmail
Comment 1 somnium 2015-12-28 18:39:45 UTC
Here are some additonal information about the segfault:

Application: KMail (kmail), signal: Aborted
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7375234840 (LWP 2384))]

Thread 8 (Thread 0x7f73535d8700 (LWP 2385)):
#0  0x00007f73749d118d in poll () from /usr/lib/libc.so.6
#1  0x00007f7368093ae2 in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f7368095757 in xcb_wait_for_event () from /usr/lib/libxcb.so.1
#3  0x00007f73546e2379 in ?? () from /usr/lib/libQt5XcbQpa.so.5
#4  0x00007f73752deb8e in ?? () from /usr/lib/libQt5Core.so.5
#5  0x00007f736b2684a4 in start_thread () from /usr/lib/libpthread.so.0
#6  0x00007f73749da13d in clone () from /usr/lib/libc.so.6

Thread 7 (Thread 0x7f7351790700 (LWP 2386)):
#0  0x00007f73749d118d in poll () from /usr/lib/libc.so.6
#1  0x00007f736ad42fbc in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f736ad430cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f737551654f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f73754bd57a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f73752d9be4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f73752deb8e in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007f736b2684a4 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f73749da13d in clone () from /usr/lib/libc.so.6

Thread 6 (Thread 0x7f7350ec8700 (LWP 2387)):
#0  0x00007f73749d118d in poll () from /usr/lib/libc.so.6
#1  0x00007f736ad42fbc in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f736ad430cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f737551654f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f73754bd57a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f73752d9be4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f73752deb8e in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007f736b2684a4 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f73749da13d in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7f7343fff700 (LWP 2389)):
#0  0x00007f73749d118d in poll () from /usr/lib/libc.so.6
#1  0x00007f736ad42fbc in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f736ad430cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f737551654f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f73754bd57a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f73752d9be4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f73752deb8e in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007f736b2684a4 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f73749da13d in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7f73437fe700 (LWP 2391)):
#0  0x00007f73749d118d in poll () from /usr/lib/libc.so.6
#1  0x00007f736ad42fbc in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f736ad430cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f737551654f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f73754bd57a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f73752d9be4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f73752deb8e in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007f736b2684a4 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f73749da13d in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7f7342ffd700 (LWP 2393)):
#0  0x00007f73749d118d in poll () from /usr/lib/libc.so.6
#1  0x00007f736ad42fbc in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f736ad430cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f737551654f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f73754bd57a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f73752d9be4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f73752deb8e in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007f736b2684a4 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f73749da13d in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7f7341ca8700 (LWP 2396)):
#0  0x00007f73749d118d in poll () from /usr/lib/libc.so.6
#1  0x00007f736ad42fbc in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f736ad430cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f737551654f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007f73754bd57a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007f73752d9be4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007f73752deb8e in ?? () from /usr/lib/libQt5Core.so.5
#7  0x00007f736b2684a4 in start_thread () from /usr/lib/libpthread.so.0
#8  0x00007f73749da13d in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7f7375234840 (LWP 2384)):
[KCrash Handler]
#5  0x00007f73749245f8 in raise () from /usr/lib/libc.so.6
#6  0x00007f7374925a7a in abort () from /usr/lib/libc.so.6
#7  0x00007f737496305a in __libc_message () from /usr/lib/libc.so.6
#8  0x00007f73749689a6 in malloc_printerr () from /usr/lib/libc.so.6
#9  0x00007f737496918e in _int_free () from /usr/lib/libc.so.6
#10 0x00007f737183f8bd in ?? () from /usr/lib/libKF5Libkleo.so.5
#11 0x00007f737184047a in ?? () from /usr/lib/libKF5Libkleo.so.5
#12 0x00007f73717ff585 in Kleo::CryptoBackendFactory::scanForBackends(QStringList*) () from /usr/lib/libKF5Libkleo.so.5
#13 0x00007f73717fffce in Kleo::CryptoBackendFactory::CryptoBackendFactory() () from /usr/lib/libKF5Libkleo.so.5
#14 0x00007f73718000d5 in Kleo::CryptoBackendFactory::instance() () from /usr/lib/libKF5Libkleo.so.5
#15 0x00007f7376da32a8 in ?? () from /usr/lib/libkmailprivate.so.5
#16 0x00007f7376dab818 in ?? () from /usr/lib/libkmailprivate.so.5
#17 0x00007f7376dbb6c2 in ?? () from /usr/lib/libkmailprivate.so.5
#18 0x00007f7376dbc551 in ?? () from /usr/lib/libkmailprivate.so.5
#19 0x00007f7376c9ea2c in KMKernel::recoverDeadLetters() () from /usr/lib/libkmailprivate.so.5
#20 0x00000000004040de in main ()
Comment 2 Denis Kurz 2017-04-11 18:24:16 UTC
Thank you for your report. In the backtraces you gave, quite some debug symbols are missing, so you probably need to install some debug packages.

Are you still able to reproduce this? If so, can you provide a more complete backtrace? Which version (kmail --version) do you have installed?
Comment 3 Andrew Crouthamel 2018-09-28 02:43:29 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 4 Andrew Crouthamel 2018-10-28 03:24:04 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 30 days. The bug is now closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!